> For the complete documentation index, see [llms.txt](https://docs.gem-suite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gem-suite.com/api-reference/resources/rentals.md).

# Rentals

## List all rentals

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/rentals`

This endpoint allows you to get the list of your rentals. \
The rentals returned are future or in progress rentals.

#### Query Parameters

| Name      | Type    | Description                                                       |
| --------- | ------- | ----------------------------------------------------------------- |
| page      | integer | The number of the page you wish to see. Default is 1.             |
| per\_page | integer | The number of the desired result per page. Maximum values is 100. |

#### Headers

| Name           | Type   | Description                  |
| -------------- | ------ | ---------------------------- |
| Authentication | string | Bearer token                 |
| Accept         | string | Should be `application/json` |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "data": [
    {
      "vehicle": "MITSUBISHI Lancer (2012)",
      "vehicle_id": 5955,
      "appointments": [
        {
          "start": "2026-01-30 12:34:00",
          "end": "2026-02-07 03:00:00"
        },
        {
          "start": "2026-01-19 14:21:00",
          "end": "2026-01-23 12:00:00"
        },
        {
          "start": "2026-01-12 13:05:00",
          "end": "2026-01-16 12:00:00"
        }
      ],
      "system_id": 999999
    },
    {
      ...
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 100,
    "total": 2
  },
  "success": true
}
```

{% endtab %}
{% endtabs %}

## Retrieve a rentals

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/rentals/:id`

This endpoint allows you to get the details of the rental.

#### Path Parameters

| Name | Type    | Description                        |
| ---- | ------- | ---------------------------------- |
| id   | integer | The ID of the vehicle to retrieve. |

#### Headers

| Name           | Type   | Description                   |
| -------------- | ------ | ----------------------------- |
| Authentication | string | Bearer token.                 |
| Accept         | string | Should be `application/json`. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "data": [
    {
      "vehicle": "MITSUBISHI Lancer (2012)",
      "vehicle_id": 5955,
      "appointments": [
        {
          "start": "2026-01-30 12:34:00",
          "end": "2026-02-07 03:00:00"
        },
        {
          "start": "2026-01-19 14:21:00",
          "end": "2026-01-23 12:00:00"
        },
        {
          "start": "2026-01-12 13:05:00",
          "end": "2026-01-16 12:00:00"
        }
      ],
      "system_id": 999999
    }
  ],
  "success": true
}
```

{% endtab %}
{% endtabs %}
